<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Registration</title>
</head>
<body>
    <form th:action="@{/registration}" th:object="${userForm}" method="post">
        <h1>Registration</h1>
        <p>Please fill in this form to create an account.</p>
        <hr>
        <table>
            <tr>
                <td>Login:</td>
                <td><input type="text" th:field="*{login}"></td>
            </tr>
            <tr>
                <td>First name:</td>
                <td><input type="text" th:field="*{firstName}"></td>
            </tr>
            <tr>
                <td>Last name:</td>
                <td><input type="text" th:field="*{lastName}" /></td>
            </tr>
            <tr>
                <td>Password:</td>
                <td><input type="password" th:field="*{password}" /></td>
            </tr>
            <tr>
                <td><input name="submit" type="submit" value="Register" /></td>
            </tr>
        </table>
    </form>
</body>
</html>